Subject: [bess] Query about Ethernet Tag Id for TYpe-5 routes (RFC 9136)

From: "Joshi, Vinayak" <[email-masked]>
Date: Thu, 2 Dec 2021 06:33:02 +0000

Hi all,

RFC 9136 says the following (Section 3.1)

"   The RD, Ethernet Tag ID, IP prefix length, and IP prefix are part of
   the route key used by BGP to compare routes.  The rest of the fields
   are not part of the route key.

With VLAN Aware Bundling the Eth Tag ID acts as a distinguisher for the routes while importing into L2-VRF.
But for L3 prefix routes what is the use case for setting the Ether Tag ID to any non-zero value?

Thanks in advance,
Vinayak

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Thu, 2 Dec 2021 08:04:12 +0000

Hi Vinayak,

RFC9136 does not have any use case for the use of a non-zero ethernet tag id. The IP Prefix route includes the ethernet tag id as part of the key for consistency with the rest of the EVPN service routes, for future use.

Thanks.
Jorge

From: BESS <[email-masked]> on behalf of Joshi, Vinayak <[email-masked]>
Date: Thursday, December 2, 2021 at 7:33 AM
To: [email-masked] <[email-masked]>
Subject: [bess] Query about Ethernet Tag Id for TYpe-5 routes (RFC 9136)
Hi all,

“   The RD, Ethernet Tag ID, IP prefix length, and IP prefix are part of
   the route key used by BGP to compare routes.  The rest of the fields
   are not part of the route key.

Thanks in advance,
Vinayak

---

From: "Joshi, Vinayak" <[email-masked]>
Date: Fri, 3 Dec 2021 04:01:37 +0000

Thank you Jorge for the clarification.

From: Rabadan, Jorge (Nokia - US/Mountain View) [mailto:[email-masked]]
Sent: Thursday, December 2, 2021 1:34 PM
To: Joshi, Vinayak <[email-masked]>; [email-masked]
Subject: Re: Query about Ethernet Tag Id for TYpe-5 routes (RFC 9136)

Hi Vinayak,

Thanks.
Jorge

From: BESS <[email-masked]<mailto:[email-masked]>> on behalf of Joshi, Vinayak <[email-masked]<mailto:[email-masked]>>
Date: Thursday, December 2, 2021 at 7:33 AM
To: [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Subject: [bess] Query about Ethernet Tag Id for TYpe-5 routes (RFC 9136)
Hi all,

Thanks in advance,
Vinayak

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Fri, 3 Dec 2021 17:03:48 +0000

Hi again,

John pointed to me that there are some cases where a non-zero Ethernet Tag ID on the IP Prefix route may be used in RFC9136.

In the RFC9136 IP-VRF-to-IP-VRF use cases, the Ethernet Tag ID is always zero, since the IP Prefix route is advertised in the context of the IP-VRF. However it is true that RFC9136 also discusses some use-cases where the IP Prefix route is advertised in the context of a BD, in which case, if the BD belongs to a VLAN-aware bundle EVI, the IP Prefix routes would be using a non-zero Ethernet Tag ID.

I overlooked that when I replied first.
Thanks John.

Jorge

From: Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]>
Date: Thursday, December 2, 2021 at 6:00 PM
To: Joshi, Vinayak <[email-masked]>, [email-masked] <[email-masked]>
Subject: Re: Query about Ethernet Tag Id for TYpe-5 routes (RFC 9136)
Hi Vinayak,

Thanks.
Jorge

Thanks in advance,
Vinayak

---

From: "Dikshit, Saumya" <[email-masked]>
Date: Fri, 3 Dec 2021 17:52:59 +0000

Hi Jorge,

>>> IP Prefix route is advertised in the context of a BD,
Is this a case wherein MAC/IP (RT-2) published with L2/L3-VNIS  is further relayed as only RT-5.
For example, PE2 receives RT-2 from PE1 for host1's MAC1/IP1.
PE2 relays only Host-route (IP1/32) via RT-5 to PE3. Is
Host1(MAC1/IP1)----(Vlan X)PE1------(l2vni/l3vni)------PE2--------(l3vni)-------PE3
Note PE1 provides vlan-aware bundle service and carried eth-tags corresponding to Vlan X in the RT-2.
Is it possible that PE2, while relaying the IP1/32 to PE3, will inherit the same eth-tag (as received in RT-2 from PE1).

Thanks
Saumya.

From: BESS [mailto:[email-masked]] On Behalf Of Rabadan, Jorge (Nokia - US/Mountain View)
Sent: Friday, December 3, 2021 10:34 PM
To: Joshi, Vinayak <[email-masked]>; [email-masked]
Cc: John E Drake <[email-masked]>
Subject: Re: [bess] Query about Ethernet Tag Id for TYpe-5 routes (RFC 9136)

Hi again,

Jorge

From: Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]<mailto:[email-masked]>>
Date: Thursday, December 2, 2021 at 6:00 PM
To: Joshi, Vinayak <[email-masked]<mailto:[email-masked]>>, [email-masked]<mailto:[email-masked]> <[email-masked]<mailto:[email-masked]>>
Subject: Re: Query about Ethernet Tag Id for TYpe-5 routes (RFC 9136)
Hi Vinayak,

Thanks.
Jorge

Thanks in advance,
Vinayak

---

From: "Rabadan, Jorge (Nokia - US/Mountain View)" <[email-masked]>
Date: Mon, 6 Dec 2021 09:10:31 +0000

Hi Saumya,

I was just referring to sections 4.1, 4.2 and 4.3 in RFC9136.
Thanks.
Jorge

From: Dikshit, Saumya <[email-masked]>
Date: Friday, December 3, 2021 at 6:53 PM
To: Rabadan, Jorge (Nokia - US/Mountain View) <[email-masked]>, Joshi, Vinayak <[email-masked]>, [email-masked] <[email-masked]>
Cc: John E Drake <[email-masked]>
Subject: RE: Query about Ethernet Tag Id for TYpe-5 routes (RFC 9136)
Hi Jorge,

For example, PE2 receives RT-2 from PE1 for host1’s MAC1/IP1.

Thanks
Saumya.

Hi again,

Jorge

Thanks.
Jorge

Thanks in advance,
Vinayak